"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
var core_1 = require("@angular/core");
var content_service_1 = require("./content.service");
var core_2 = require("@angular/core");
var ContentListComponent = (function () {
    function ContentListComponent(_contentService) {
        this._contentService = _contentService;
        this._startNodeId = 1053;
    }
    ContentListComponent.prototype.ngOnInit = function () {
        this.getContentNodes();
    };
    ContentListComponent.prototype.getContentNodes = function () {
        var _this = this;
        this._contentService.getContentNodes(this._startNodeId)
            .subscribe(function (contentNodes) { return _this.contentNodes = contentNodes; }, function (error) { return _this.errorMessage = error; });
    };
    ContentListComponent.prototype.toggleBranch = function (branchId) {
        console.log('branchId: ' + branchId);
    };
    return ContentListComponent;
}());
__decorate([
    core_2.Input('startingNode'),
    __metadata("design:type", Number)
], ContentListComponent.prototype, "_startNodeId", void 0);
ContentListComponent = __decorate([
    core_1.Component({
        selector: 'content-list',
        //directives: [ContentListComponent],
        template: "\n\t\t<ol class=\"tree\">\n\t\t\t<li *ngFor=\"let contentNode of contentNodes\" class=\"tree__branch\" [ngClass]=\"{'tree__branch--has-children': contentNode.HasChildren}\">\n\t\t\t\t<a *ngIf=\"contentNode.HasChildren\" (click)=\"contentNode.toggle=!contentNode.toggle\" class=\"toggle\">{{ !!contentNode.toggle ? '-' : '+' }}</a> {{ contentNode.Name }}\n\t\t\t  <content-list *ngIf=\"contentNode.toggle\" [startingNode]=\"contentNode.Id\"></content-list>\n\t\t\t</li>\n\t\t</ol>\n\t\t<div class=\"error\" *ngIf=\"errorMessage\">{{errorMessage}}</div>\n\t"
    }),
    __metadata("design:paramtypes", [content_service_1.ContentService])
], ContentListComponent);
exports.ContentListComponent = ContentListComponent;
//# sourceMappingURL=content-list.component.js.map