import {Component, OnInit}	from '@angular/core';
import {ContentNode}		from './content-node';
import {ContentService}		from './content.service';
import {Input} from '@angular/core';


@Component({
	selector: 'content-list',
	//directives: [ContentListComponent],
	template: `
		<ol class="tree">
			<li *ngFor="let contentNode of contentNodes" class="tree__branch" [ngClass]="{'tree__branch--has-children': contentNode.HasChildren}">
				<a *ngIf="contentNode.HasChildren" (click)="contentNode.toggle=!contentNode.toggle" class="toggle">{{ !!contentNode.toggle ? '-' : '+' }}</a> {{ contentNode.Name }}
			  <content-list *ngIf="contentNode.toggle" [startingNode]="contentNode.Id"></content-list>
			</li>
		</ol>
		<div class="error" *ngIf="errorMessage">{{errorMessage}}</div>
	`
})
export class ContentListComponent implements OnInit {
	
	constructor (private _contentService: ContentService) {}
	
	errorMessage: string;
	
	@Input('startingNode')
	private _startNodeId: number=1053;
	
	contentNodes: ContentNode[];
	
	ngOnInit() { 
		this.getContentNodes();
	}
	
	getContentNodes() {
		this._contentService.getContentNodes(this._startNodeId)
			.subscribe(
				contentNodes => this.contentNodes = contentNodes,
				error =>  this.errorMessage = <any>error
			);
	}
	
	toggleBranch(branchId:number){
		console.log('branchId: ' + branchId);
	}
}