import {Injectable}					      from '@angular/core';
import {Http, Response}				    from '@angular/http';
import {Headers, RequestOptions}	from '@angular/http';
import {ContentNode}				      from './content-node';
import {Observable}					      from 'rxjs/Observable';
//import 'rxjs/add/operator/map'
import 'rxjs/Rx';

@Injectable()
export class ContentService {
	constructor (private http: Http) {}

	private _contentNodesUrl = 'app/data.json';

	getContentNodes (parentId:number) {
		console.log('parentId = ' + parentId);
		return this.http.get(this._contentNodesUrl)
			.map(res => <ContentNode[]> res.json())
			.do(data => console.log(data))
			.catch(this.handleError);
	}

	private handleError (error: Response) {
		console.error(error);
		return Observable.throw(error.json().error || 'Server error');
	}
}
